4 Replies Latest reply on Jun 25, 2014 1:50 AM by Sancho78

    VMware Data Protection 5.5.6.56 - VDDK:VixDiskLibVim: ESX/ESXi host is not licensed to use this feature.

    Webtramp Lurker

      Hello,

       

      after I managed to upgrade to the latest VDP Version 5.5.6.56 I can no longer run a Backup job. When I trigger the start of any I get the following error:

       

      Error 10055:  VixDiskLib_Open attempt to connect to virtual disk failed

       

      Taking a closer look to the log files I see the following:

       

      VDDK:VixDiskLibVim: ESX/ESXi host is not licensed to use this feature.


      Before the upgrade it did work and I do have licenses for all ESXi and Vcenters. Is there any workaround? Anybody else experiencing the same?

       

      Cheers

        • 1. Re: VMware Data Protection 5.5.6.56 - VDDK:VixDiskLibVim: ESX/ESXi host is not licensed to use this feature.
          GSparks Enthusiast

          Did you set up an admin user when registering the VDP, or did you create a user with the specific permissions required for VDP?

           

          What version of ESXi are you running?  and what host license do you have associated?

          • 2. Re: VMware Data Protection 5.5.6.56 - VDDK:VixDiskLibVim: ESX/ESXi host is not licensed to use this feature.
            Webtramp Lurker

            ESXi 5.5.0, 1623387 so the latest version

            Licenses on all hosts are Enterprise plus.

             

            I am running VDP since more than one year and it always worked, just sinced the last update (VDP) to 5.5.6.56 I got the error and all four VDP Apps encountered this error for all VMs.

            • 3. Re: VMware Data Protection 5.5.6.56 - VDDK:VixDiskLibVim: ESX/ESXi host is not licensed to use this feature.
              GSparks Enthusiast

              For this issue, which applies solely to the VDP 5.5.6 appliance, you may see the following behaviors.

               

              In the log file for the backup job (located in /usr/local/avamarclient/var-proxy-? and with the file name of JOBNAME-vmimageX.log (X can be 'w' for windows or 'l' for Linux), you may see the following errors:

               

              avvcbimage Info <16041>: VDDK:VixDiskLibVim: Check server edition in license.

              avvcbimage Info <16041>: VDDK:VixDiskLibVim: Unexpected server edition ZXN4QmFzaWM=.


              avvcbimage Info <16041>: VDDK:VixDiskLibVim: Get NFC ticket completed.

              avvcbimage Info <16041>: VDDK:VixDiskLib: Error occurred when obtaining NFC ticket for: [DS_MGMT_IBM501] vSphere/vSphere.vmdk. Error 16064 at 3707.

              avvcbimage Error <0000>: [IMG0008] Failed to connect to virtual disk [DataStoreName] Path/VM_Name.vmdk (16064)

              (16064) The host is not licensed for this feature

              avvcbimage Info <0000>: Connecting virtual disk [DataStoreName] Path/VM_Name.vmdk

              avvcbimage Error <0000>: [IMG0008] VixDiskLib_Open([DataStoreName] Path/VM_Name.vmdk) returned (16064) The host is not licensed for this feature


              If you open a web browser and navigate to the vCenter's Managed Object Browser and the LicenseManager from there, you may find that the first defined License contains an 'editionKey' with the value of 'esxBasic'


              To check this, open a web browser and navigate to "https://<IPofvCenter>/mob/?moid=LicenseManager&doPath-licenses"

              Locate the Name [0] with the Type of "LicenseManagerLicenseInfo" (see image below)

              VixDiskLib.png


              To resolve this issue, you can remove the vSphere license and then add it back.  This will move the license to the end of the list and allow for backups to run.


              • 4. Re: VMware Data Protection 5.5.6.56 - VDDK:VixDiskLibVim: ESX/ESXi host is not licensed to use this feature.
                Sancho78 Lurker

                Same issue here but the license can't be removed. All esxi hosts are removed, no cluster or something else is configured. The option for removing the license is greyed out. Any ideas?